%option header-file="lex.yy.h"
%option noyywrap
%x COMMENT

%top{
  /* This goes at the top of the generated file */
  #include "parser.tab.h"
  extern YYSTYPE yylval;
}

nl \n|\r|\n\r

%%
<INITIAL>{
[a-zA-Z]+         { yylval.string = strdup(yytext); return ID; }

[0-9]*\.[0-9][0-9] { yylval.real_value = atof(yytext); return EURO; }

[1-9][0-9]*|0     { yylval.int_value = atoi(yytext); return INT; }

","               { return CM; }
";"               { return S;}
":"               { return C; }
"%"               { return SEP; }

"/*"      { BEGIN(COMMENT); }

{nl}       { ; }
. {;}
}
<COMMENT>. {;}
<COMMENT>{nl} {;}
<COMMENT>"*/" {BEGIN(INITIAL);}
